open InterpreterAux

module Wasm_Checker_Printing : sig
  val typing :
    unit Wasm.t_context_ext -> ('a, 'b, 'c, 'd) Wasm.b_e list -> Wasm.tf -> bool
end = struct

let rec typing x = Wasm_Checker.b_e_type_checker x;;

end;; (*struct Wasm_Checker_Printing*)


